Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.logging.log4j
Class WLLog4jLevel

    java.lang.Object
      org.apache.log4j.Priority
          org.apache.log4j.Level
              weblogic.logging.log4j.WLLog4jLevel

    public class WLLog4jLevel

extends org.apache.log4j.Level

This class enumerates the Log4j logging levels. It defines a mapping between the Log4j Level and Severities classes.

See Also:
  `Severities`, `Level`

Field Summary
`static WLLog4jLevel` | `ALERT` Log4j level for Alert severity.
`static int` | `ALERT_INT` Integer constant for the ALERT level.
`static WLLog4jLevel` | `CRITICAL` Log4j level for Critical severity.
`static int` | `CRITICAL_INT` Integer constant for the CRITICAL level.
`static WLLog4jLevel` | `EMERGENCY` Log4j level for Emergency severity.
`static int` | `EMERGENCY_INT` Integer constant for the EMERGENCY level.
`static WLLog4jLevel` | `NOTICE` Log4j level for Notice severity.
`static int` | `NOTICE_INT` Integer constant for the NOTICE level.
`static WLLog4jLevel` | `TRACE` Log4j level for Trace severity.
`static int` | `TRACE_INT` Integer constant for the TRACE level.

Fields inherited from class org.apache.log4j.Level
`ALL, DEBUG, ERROR, FATAL, INFO, OFF, WARN`

Fields inherited from class org.apache.log4j.Priority
`ALL_INT, DEBUG_INT, ERROR_INT, FATAL_INT, INFO_INT, OFF_INT, WARN_INT`

Method Summary
`static org.apache.log4j.Level` | `getLevel(int severity)` Converts a severity code to a corresponding Level object.
`static int` | `getSeverity(org.apache.log4j.Level level)` Maps a Level object to an severity code.
`static org.apache.log4j.Level` | `toLevel(String sArg)` Convert the string passed as an argument to a Level.
`static org.apache.log4j.Level` | `toLevel(String sArg, org.apache.log4j.Level defaultValue)`

Methods inherited from class org.apache.log4j.Level
`toLevel, toLevel`

Methods inherited from class org.apache.log4j.Priority
`equals, getAllPossiblePriorities, getSyslogEquivalent, isGreaterOrEqual, toInt, toPriority, toPriority, toPriority, toPriority, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EMERGENCY_INT

    public static final int EMERGENCY_INT

  Integer constant for the EMERGENCY level.

  See Also:
    Constant Field Values

### ALERT_INT

    public static final int ALERT_INT

  Integer constant for the ALERT level.

  See Also:
    Constant Field Values

### CRITICAL_INT

    public static final int CRITICAL_INT

  Integer constant for the CRITICAL level.

  See Also:
    Constant Field Values

### NOTICE_INT

    public static final int NOTICE_INT

  Integer constant for the NOTICE level.

  See Also:
    Constant Field Values

### TRACE_INT

    public static final int TRACE_INT

  Integer constant for the TRACE level.

  See Also:
    Constant Field Values

### EMERGENCY

    public static final WLLog4jLevel EMERGENCY

  Log4j level for Emergency severity.

### ALERT

    public static final WLLog4jLevel ALERT

  Log4j level for Alert severity.

### CRITICAL

    public static final WLLog4jLevel CRITICAL

  Log4j level for Critical severity.

### NOTICE

    public static final WLLog4jLevel NOTICE

  Log4j level for Notice severity.

### TRACE

    public static final WLLog4jLevel TRACE

  Log4j level for Trace severity.

Method Detail

### toLevel

    public static org.apache.log4j.Level toLevel(String sArg)

  Convert the string passed as an argument to a Level. If the conversion fails, return an INFO level.

### toLevel

    public static org.apache.log4j.Level toLevel(String sArg,
                                                 org.apache.log4j.Level defaultValue)

### getSeverity

    public static int getSeverity(org.apache.log4j.Level level)

  Maps a Level object to an severity code.

### getLevel

    public static org.apache.log4j.Level getLevel(int severity)

  Converts a severity code to a corresponding Level object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD